Library Label

GET /pcas/v1/library/label

Using this API, you can list all library label details (ID and name) that are currently supported.

Input ParametersInput Parameters

Parameter

Required / Optional

Data Type

Description

Authorization Required String Enter the Bearer token.

Sample - List label IDs and their namesSample - List label IDs and their names

API Request

curl -X 'GET' '<qualys_base_url>/pcas/v1/library/label' -H 'accept: application/json' -H 'Authorization: Bearer <AuthToken>

JSON Output

[
  {
    "labelId": 1000,
    "labelName": "Qualys"
  },
  {
    "labelId": 1051,
    "labelName": "Vendor"
  },
  {
    "labelId": 1017,
    "labelName": "Mandate"
  },
  {
    "labelId": 7325,
    "labelName": "Ransomware"
  },
  {
    "labelId": 2050,
    "labelName": "DISA STIG"
  },
  {
    "labelId": 5019,
    "labelName": "Remote"
  },
  {
    "labelId": 1001,
    "labelName": "CIS"
  },
  {
    "labelId": 4051,
    "labelName": "OCA"
  },
  {
    "labelId": 4286,
    "labelName": "SCSEM"
  }
]


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.